import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./teaser-product-tile.stories";

<Meta of={ComponentStories} name="Docs" />

# Teaser Product Tile

This teaser type is used to link to a product detail page.
By default, the tile has square proportions and is framelessly covered with a product image in the background.
The product name is shown at the bottom.
When hovering or touching on a mobile device, an overlay fades in with a brief description and a textlink at the bottom of the tile.
Place the link of the Product teaser inside the element with the following classes:

```
<a href="/link-to-product-details.html" class="ux-text-link ux-iws-teaser-product-tile__link">
    Zum Produkt
    <ux-icon name="arrow-small-right"/>
</a>
```

Optionally, the teaser can be highlighted with a labelled flag to indicate a special status.

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
